x-backend-environment: &x-backend-environment
  HOTPOCKET_BACKEND_DATABASE_NAME: "hotpocket_backend_staging"
  HOTPOCKET_BACKEND_DATABASE_USER: "hotpocket"
  HOTPOCKET_BACKEND_DATABASE_PASSWORD: "hotpocketm4st3r"
  HOTPOCKET_BACKEND_DATABASE_HOST: "databases.bthlab.bthlabs.net"
  HOTPOCKET_BACKEND_CELERY_BROKER_URL: "amqp://hotpocket:hotpocketm4st3r@databases.bthlab.bthlabs.net/hotpocket_backend_staging"
  HOTPOCKET_BACKEND_CELERY_RESULT_BACKEND: "db+postgresql+psycopg://hotpocket:hotpocketm4st3r@databases.bthlab.bthlabs.net/hotpocket_backend_staging"

services:
  webapp:
    image: "docker-hosted.nexus.bthlabs.pl/hotpocket/backend:deployment-v25.11.06-01"
    environment:
      <<: *x-backend-environment
      HOTPOCKET_BACKEND_ALLOWED_HOSTS: "app.staging.hotpocket.bthlab.bthlabs.net"
      HOTPOCKET_BACKEND_SECRET_KEY: "thisisntright"
    ports:
      - "8000:8000"
    volumes:
      - "./run:/srv/run"
      - "./uploads:/srv/uploads"
    restart: "unless-stopped"

  admin:
    image: "docker-hosted.nexus.bthlabs.pl/hotpocket/backend:deployment-v25.11.06-01"
    environment:
      <<: *x-backend-environment
      HOTPOCKET_BACKEND_APP: "admin"
      HOTPOCKET_BACKEND_ALLOWED_HOSTS: "app.staging.hotpocket.bthlab.bthlabs.net"
      HOTPOCKET_BACKEND_SECRET_KEY: "thisisntright"
    ports:
      - "8001:8000"
    volumes:
      - "./run:/srv/run"
      - "./uploads:/srv/uploads"
    restart: "unless-stopped"

  celery-worker:
    image: "docker-hosted.nexus.bthlabs.pl/hotpocket/backend:deployment-v25.11.06-01"
    command:
      - "/srv/venv/bin/celery"
      - "-A"
      - "hotpocket_backend.celery:app"
      - "worker"
      - "-l"
      - "INFO"
      - "-Q"
      - "celery,webapp"
      - "-c"
      - "2"
    environment:
      <<: *x-backend-environment
      HOTPOCKET_BACKEND_ALLOWED_HOSTS: "app.staging.hotpocket.bthlab.bthlabs.net"
      HOTPOCKET_BACKEND_SECRET_KEY: "thisisntright"
    volumes:
      - "./run:/srv/run"
      - "./uploads:/srv/uploads"
    restart: "unless-stopped"

  celery-beat:
    image: "docker-hosted.nexus.bthlabs.pl/hotpocket/backend:deployment-v25.11.06-01"
    command:
      - "/srv/venv/bin/celery"
      - "-A"
      - "hotpocket_backend.celery:app"
      - "beat"
      - "-l"
      - "INFO"
      - "-s"
      - "/srv/run/celery-beat-schedule"
    environment:
      <<: *x-backend-environment
      HOTPOCKET_BACKEND_ALLOWED_HOSTS: "app.staging.hotpocket.bthlab.bthlabs.net"
      HOTPOCKET_BACKEND_SECRET_KEY: "thisisntright"
    volumes:
      - "./run:/srv/run"
      - "./uploads:/srv/uploads"
    restart: "unless-stopped"
